
import java.util.*;
import org.springframework.context.support.ClassPathXmlApplicationContext;
import org.springframework.orm.hibernate3.HibernateTemplate;
import org.springframework.orm.hibernate3.HibernateCallback;

import java.sql.*;
import org.hibernate.*;
import org.hibernate.criterion.*;

public class Main {
	
	
	public static void main(String[] args) {
		HibernateUtil.setup("create table EVENTS ( uid int, name VARCHAR, start_Date date, duration int);");
		
		// hibernate code start
        HibernateFactory.buildSessionFactory();
        SessionFactory sessionFactory= HibernateFactory.getSessionFactory();
        HibernateTemplate template= new HibernateTemplate(sessionFactory);


        Event event1 = new Event("Event 1");
        Event event2 = new Event("Event 2");
        Event event3 = new Event("Event 3");

        template.save(event1);
        template.save(event2);
        template.save(event3);

        template.execute(new HibernateCallback() {
            public Object doInHibernate(Session session) throws HibernateException, SQLException {
                Query query = session.createQuery("from Event");
                query.setMaxResults(2);
                List events = query.list();
                for (Iterator it = events.iterator(); it.hasNext();) {
                    Event event = (Event) it.next();
                    System.out.println(event.getName());
                    event.setDuration(60);
                }
                return null;
            }
        });
        
        HibernateUtil.checkData("select uid, name from events");        

        HibernateFactory.closeFactory();
        
		// hibernate code end
	}
	
}